WCSSPN(3)

NAME
wcsspn - get length of a wide substring

SYNOPSIS

#include <wchar.h>

size_t wcsspn(const wchar_t *s, const wchar_t *set);

DESCRIPTION

The wcsspn function computes the length of the maximum initial segment of the wide-character string pointed to by s which consists entirely of wide-character codes from the wide-character string pointed to by set.

RETURNS

The wcsspn() function returns the length s1; no return value is reserved to indicate an error.

PORTABILITY

wcsspn is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.